Bug 561820 - [abrt] crash in jokosher-1.0-0.8.20091128bzr.fc12
Summary: [abrt] crash in jokosher-1.0-0.8.20091128bzr.fc12
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: jokosher
Version: 12
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Christopher Brown
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:78fd55dc
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-02-04 12:54 UTC by Zdravko Nikolov
Modified: 2010-05-10 23:51 UTC (History)
1 user (show)

Fixed In Version: jokosher-1.0-0.11.20100503bzr.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-10 17:07:02 UTC


Attachments (Terms of Use)
File: backtrace (1.32 KB, text/plain)
2010-02-04 12:54 UTC, Zdravko Nikolov
no flags Details

Description Zdravko Nikolov 2010-02-04 12:54:26 UTC
abrt 1.0.4 detected a crash.

architecture: i686
cmdline: /usr/bin/python /usr/bin/jokosher 
component: jokosher
executable: /usr/bin/jokosher
kernel: 2.6.31.5-127.fc12.i686.PAE
package: jokosher-1.0-0.8.20091128bzr.fc12
release: Fedora release 12 (Constantine)

backtrace
-----
Summary: TB78fd55dc LevelsList.py:105:fromfile:CorruptFileError

Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/Jokosher/RecordingView.py", line 572, in OnRestoreMessageAreaResponse
    self.project.DoIncrementalRestore()
  File "/usr/lib/python2.6/site-packages/Jokosher/Project.py", line 896, in DoIncrementalRestore
    IncrementalSave.FilterAndExecuteAll(save_action_list, self)
  File "/usr/lib/python2.6/site-packages/Jokosher/IncrementalSave.py", line 316, in FilterAndExecuteAll
    action.Execute(project, complete_load.duration, complete_load.levels_file)
  File "/usr/lib/python2.6/site-packages/Jokosher/IncrementalSave.py", line 34, in Execute
    name=event_name, duration=event_duration, levels_file=event_levels_file)
  File "/usr/lib/python2.6/site-packages/Jokosher/UndoSystem.py", line 78, in UndoWrapper
    result = func(funcSelf, *args, **kwargs)
  File "/usr/lib/python2.6/site-packages/Jokosher/Instrument.py", line 622, in addEventFromFile
    ev.levels_list.fromfile(ev.GetAbsLevelsFile())
  File "/usr/lib/python2.6/site-packages/Jokosher/LevelsList.py", line 105, in fromfile
    raise CorruptFileError()
CorruptFileError

Local variables in innermost frame:
path: /home/zdravko/Music/test/levels/01_-_Candy_Shop_2.mp3_2.leveldata
self: <Jokosher.LevelsList.LevelsList instance at 0x958b9cc>

Comment 1 Zdravko Nikolov 2010-02-04 12:54:29 UTC
Created attachment 388775 [details]
File: backtrace

Comment 2 Fedora Update System 2010-05-03 15:35:15 UTC
jokosher-1.0-0.12.20100503bzr.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/jokosher-1.0-0.12.20100503bzr.fc12

Comment 3 Fedora Update System 2010-05-03 15:35:38 UTC
jokosher-1.0-0.11.20100503bzr.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/jokosher-1.0-0.11.20100503bzr.fc13

Comment 4 Fedora Update System 2010-05-04 06:08:35 UTC
jokosher-1.0-0.11.20100503bzr.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update jokosher'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/jokosher-1.0-0.11.20100503bzr.fc13

Comment 5 Fedora Update System 2010-05-04 06:09:05 UTC
jokosher-1.0-0.12.20100503bzr.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update jokosher'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/jokosher-1.0-0.12.20100503bzr.fc12

Comment 6 Fedora Update System 2010-05-10 17:06:40 UTC
jokosher-1.0-0.12.20100503bzr.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2010-05-10 23:51:25 UTC
jokosher-1.0-0.11.20100503bzr.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.